> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Collection

> You can create collections to organize your clips by making a `POST` request to `https://api.opus.pro/api/collections`

## Related Schemas

<CardGroup cols={2}>
  <Card title="Collection Schema" icon="code" href="/api-reference/schemas/collection">
    Reference the underlying collection object returned by collection APIs.
  </Card>

  <Card title="Create Collection Response" icon="code" href="/api-reference/schemas/collection-response">
    View the full response schema for creating a collection.
  </Card>
</CardGroup>


## OpenAPI

````yaml POST /api/collections
openapi: 3.0.0
info:
  title: Clip API
  description: Clip API documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.opus.pro
    description: OpusClip Open API Production Server
security: []
tags: []
paths:
  /api/collections:
    post:
      tags:
        - collection
        - enterprise
      operationId: CollectionController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCollectionCmd'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/CollectionDto'
        '402':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  errorName:
                    type: string
                    nullable: false
                    enum:
                      - QuotaExceed
                  errorMessage:
                    type: string
                    nullable: true
      security:
        - bearer: []
components:
  schemas:
    CreateCollectionCmd:
      type: object
      properties:
        collectionName:
          type: string
          description: The name of the collection that you want to create.
          example: Opus demo clips
      required:
        - collectionName
    SuccessResponse:
      type: object
      properties:
        data:
          type: object
      required:
        - data
    CollectionDto:
      type: object
      properties:
        collectionId:
          type: string
          description: The unique collection ID.
          example: xmAwhhFi0IJt
        collectionName:
          type: string
          description: The name of the collection that you have created.
          example: Opus demo clips
        createdAt:
          format: date-time
          type: string
          description: The date and time the collection was created.
        updatedAt:
          format: date-time
          type: string
          description: The date and time the collection was updated.
      required:
        - collectionId
        - collectionName
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````